Subject: bug#76691: `display-monitor-attributes-list` not working properly on macOS

From: Ruiyang Wu <[email-masked]>
Date: Wed, 5 Mar 2025 18:20:28 -0500

The updated patch also works for me. Thanks for your great work!

Ruiyang

> On Mar 5, 2025, at 10:55 AM, Ship Mints <[email-masked]> wrote:
> 
> On Wed, Mar 5, 2025 at 10:54 AM Robert Pluim <[email-masked] <mailto:[email-masked]>> wrote:
>> >>>>> On Wed, 5 Mar 2025 10:40:11 -0500, Ship Mints <[email-masked] <mailto:[email-masked]>> said:
>> 
>>     Ship> Hmm.  I never see these.  I wonder what's different about your set up.
>>     Ship> These seem independent of the NS display name improvement.
>> 
>> Yes, I doubt itʼs related. Itʼs also hard to reproduce.
>> 
>>     Ship> Should we push the display name patch and see what feedback we get from a
>>     Ship> larger audience?  It seems low risk vs. rewriting macOS socket handling.
>> 
>> You can only push the patch as-is if the maintainers agree that
>> removing the old methods for getting the display name is appropriate.
> 
> The old methods don't work and seem to have been broken for a long time.  Let's see what they think.